
QGIS Application - Bug report #8327

MSSQL provider overwrites username in table creation

2013-07-19 09:45 AM - Matthew Baker

Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category: Data Provider/MSSQL

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17118

Description

When loading data into MSSQL through the MSSQL data provider, the name of the file begins dbo.tableName, even though that is not the

name of the user.

What I would expect, and we require for integrity of our database, is the name of the table to start with the name of the user who created

it.

Example: User 'planning' logs into SQL Server through SQL Server Management Studio, ArcMap, or SHP2SQL.  Each of the tables they

import through those tools will be named planning.tableName

Associated revisions

Revision 6efe1eb8 - 2016-01-29 10:33 PM - Nyall Dawson

Dropping on mssql schema items should import to that schema (fix #8327)

History

#1 - 2013-07-19 09:49 AM - Matthew Baker

Note this loading data is done by 'drag and drop' into the MSSQL Database.

#2 - 2014-06-01 08:31 PM - Nathan Woodrow

- OS version deleted (7)

- Operating System deleted (Windows)

- Target version set to Future Release - High Priority

- Category set to Data Provider/MSSQL

#3 - 2015-06-18 12:08 AM - Nathan Woodrow

Is that the expected outcome though.  I guess it should go into the schema it was dropped onto if you have write permissions there.

#4 - 2015-06-18 12:08 AM - Nathan Woodrow

- Assignee changed from Tamas Szekeres to Nathan Woodrow

- Status changed from Open to Feedback

#5 - 2015-12-20 09:05 AM - Giovanni Manghi

- Status changed from Feedback to Open
#6 - 2016-01-29 01:33 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"6efe1eb86bf0a4a3a4161fb377401ca6e5ed42bf".
